package net.customware.license.atlassian.exemption;

import java.util.Set;

import com.atlassian.license.License;
import com.atlassian.license.LicenseType;

/**
 * This will exempt users who are have a 'free' license from Atlassian:
 *
 * <ul>
 *  <li>Community</li>
 *  <li>Non-Profit</li>
 *  <li>Open Source</li>
 * </ul>
 * 
 * <p>It doesn't cover personal license.
 * 
 * @author David Peterson
 */
public class LicenseTypeExemption extends AbstractLicenseExemption {
    private Set<LicenseType> exemptTypes = new java.util.HashSet<LicenseType>();

    public LicenseTypeExemption( LicenseType... licenseTypes) {
        for ( LicenseType type : licenseTypes )
            exemptTypes.add( type );
    }
    
    public boolean isExempt( Object context ) {
        License license = getLicense( context );
        if ( license != null )
            return exemptTypes.contains( license.getLicenseType() );
        return false;
    }

}
